Skip to content

Update A Specific Piece of Equipment

Request

Update an existing piece of equipment. When updating equipment you only need to specify the fields that you would like to change. All other fields will remain unchanged.

To update the name of a piece of equipment, you might send the following XML.

<equipment>
    <name>Forklift 2</name>
</equipment> 

To update the Third Party ID, you might send the following XML.

<equipment>
    <third_party_id>ABCDEF</third_party_id>
</equipment> 
Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
use_third_party_idinteger

Sets the the call to look for a Third Party ID instead of the vWork ID.

Example:use_third_party_id=1
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

PUT
/v5/equipment/{id}.xml
curl -i -X PUT \
  'https://api.vworkapp.com/v5/equipment/{id}.xml?api_key=string&use_third_party_id=1&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <equipment>
      <name>Forklift 2</name>
  </equipment> '

Responses

OK

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Mon, 13 Jun 2016 23:52:16 GMT"
ETagstring
Example:"W/\"cd023b0b002846ec7649112cadaf3433\""
Statusstring
Example:"200 OK"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"8b9fb0f1-7020-466e-955b-c1d4f1f5be11"
X-Runtimestring
Example:"0.105612"
X-Unique-IDstring
Example:"CA7C7B8A:CD56_0A000ED8:01BB_575F46FE_6ED87C:1EB6"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<equipment>
    <id readonly="readonly">9552</id>
    <account_id readonly="readonly">1296</account_id>
    <name>Forklift 2</name>
    <notes>Picking it up and Putting it down</notes>
    <third_party_id>QWERTYUIOP</third_party_id>
    <model>Crown</model>
    <serial>53476435482</serial>
    <group_ids>1,501,4833</group_ids>
    <tag_ids>24,2008</tag_ids>
</equipment>